// preference.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "FilePref.h"
#include "RegistryPref.h"

int _tmain(int argc, _TCHAR* argv[])
{
	CFilePref filePref;
	std::string	strValue;

	filePref.CreateKey("MyRoot");
	filePref.SetKey("MyRoot");
	filePref.CreateKey("MySubKey1");
	filePref.CreateKey("MySubKey2");

	filePref.CreateValue(0.7f, "myFloat");
	filePref.CreateValue(-7, "myInt");
	filePref.CreateValue(0xFFFF000F, "myUint");
	filePref.CreateValue("Hello World", "myString");
	filePref.CreateValue(D3DXVECTOR3(0.0f, 0.0f, 1.0f), "myVector3");
	filePref.CreateValue(D3DXVECTOR4(0.0f, 0.0f, 0.0f, 1.0f), "myVector4");
	filePref.CreateValue(D3DXCOLOR(0.0f, 0.0f, 0.0f, 1.0f), "myColor");
	filePref.CreateValue((void*)"Some Binary Data", 16, "myBinary");
	filePref.SetKey("MyRoot\\MySubKey1");
	filePref.CreateValue(D3DXCOLOR(0.0f, 0.0f, 0.0f, 1.0f), "myColor");
	filePref.SetKey("MyRoot\\MySubKey2");
	filePref.CreateValue(D3DXCOLOR(0.0f, 0.0f, 0.0f, 1.0f), "myColor");

	filePref.DestroyKey("MyRoot\\MySubKey1");

	filePref.Save("C:\\test.prf");

//	CRegistryPref regPref;

//	filePref.SetKey("");
//	regPref.CreateKey("HKEY_CURRENT_USER\\Software\\Preference");
//	regPref.SetKey("HKEY_CURRENT_USER\\Software\\Preference");
//	regPref.Insert(filePref);
//	regPref.Save("HKEY_CURRENT_USER\\Software\\Preference");

	filePref.DestroyKey("MyRoot");
	filePref.Purge();
	filePref.GetValue(strValue, "myString");
	filePref.SetKey("MyRoot");

	filePref.Load("C:\\Program Files\\Intel\\VTune50\\vtune.reg");
	filePref.SetKey("HKEY_CURRENT_USER\\Software\\VB and VBA Program Settings\\VTune 4.0\\Globals");
	filePref.GetValue(strValue, "GridFontName");

	return 0;
}

